# All sprites test (BlitEngine/WiFiBoy32s)
# 2018.08.23, tklua@wifiboy.org

import time

wb.blitpal()
wb.blitbuf()

while True:
    for j in range(0,49):
        wb.blitbuf()
        for i in range(0,256):
            wb.blitimg(i+j*16, (i%16)*8, int(i/16)*8)
        wb.blit()
    time.sleep(1)
    for j in range(48,-1,-1):
        wb.blitbuf()
        for i in range(0,256):
            wb.blitimg(i+j*16, (i%16)*8, int(i/16)*8)
        wb.blit()
    time.sleep(1)                           